Subject: Patches for compiling Ptolemy 0.5 under Linux (full announce)
From: "MSIE03::VIGNANI" <[email-masked]>
Date: Tue, 5 Apr 1994 15:22:25 GMT
Newsgroups: comp.os.linux.announce

Hello.
I just terminated porting Ptolemy 0.5 under Linux (at least I hope so).
The instruction and patches have been uploaded to sunsite.unc.edu and
are now in pub/Linux/apps/ptolemy/pt05linux.tgz.
I have installed the full system and ran many of the demos without any
problem; but this is far from a complete functionality test.
I would like that other people interested in Ptolemy get it and try to
compile and run it with the help of these patches, maybe finding better
solutions than the ones I propose.
In particular, there are files to rename because of a 13-char limit
in GNU (Linux) ar, and I'm not sure the solution I used will work.
Thank you for any comments and suggestions.

Alberto Vignani - FIAT Research Center, TORINO

-----------------------------------------------------------------------------
Begin
Title        =	ptolemy-0.5-Linux.diffs.tar.gz
Version      =	3 Apr 1994
Desc1        =  Ptolemy provides a highly flexible foundation for the
Desc2        =  specification, simulation, and rapid prototyping of systems.
Desc3        =  It is an object oriented framework within which diverse models
Desc4        =  of computation can co-exist and interact.  For example, using
Desc5        =  Ptolemy a data-flow system can be easily connected to a
Desc6        =  hardware simulator which in turn may be connected to a
Desc7        =  discrete-event system, etc.  Because of this, Ptolemy can be
Desc8        =  used to model entire systems.
Desc9        =  In addition, Ptolemy now has code generation capabilities.
Desc10       =  From a flow graph description, Ptolemy can generate both C code
Desc11       =  and DSP assembly code for rapid prototyping.
Author       =	team at EECS Berkeley
AuthorEmail  =	mailing list: [email-masked]
Maintainer   =	EECS Berkeley
Site1        =	sunsite.unc.edu
Path1        =	pub/Linux/apps/ptolemy
File1        =	pt05linux.tgz
FileSize1    =	180357
Required1    =	gcc2.5.8, libc 4.5.21, libg++2.5.3, XFree86 2.0
Required2    =	tcl7.3, tk3.6a, f2c, 120M hard disk space
Required3    =	Ptolemy SOURCES from ftp at ptolemy.eecs.berkeley.edu (27M)
Required4    =
CopyPolicy1  =	Copyright @1990-94 The Regents of the University of California
Keywords     =	CASE, DSP
Comment1     =	Instructions and diffs about installing and compiling
Comment2     =	Ptolemy v0.5 on Linux (do not include sources)
Comment3     =
RelFiles1    =	At ftp site ptolemy.eecs.berkeley.edu:
RelFiles2    =	 /pub/ptolemy/ptolemy0.5/pt-0.5.src.tar.Z
RelFiles3    =	 /pub/ptolemy/ptolemy0.5/pt-0.5.doc.tar.Z
RelFiles4    =	 /pub/ptolemy/ptolemy0.5/pt-0.5.other.src.tar.Z
Entered      =	4 Apr 1994
EnteredBy    =  Alberto Vignani
CheckedEmail =	[email-masked]
End
------------------------------------------------------------------------------